[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.CMHintShow

Handles the CM_HINTSHOW message for the control.

## Declaration

Source position: controls.pp line 1447

`protected procedure TControl.CMHintShow(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Message with the hint information displayed for the control.

## Description

CMHintShow is a method used to handle a CM_HINTSHOW message received by the control.

Message is the TLMessage instance with the control message constant, hint information, and result code used in the method.

CMHintShow calls DoOnShowHint to signal the OnShowHint event handler (when assigned) using the hint information in Message. When ActionLink has been assigned, its DoShowHint is called using the hint information.

The result code is Message is updated prior to exiting from the method.

## See also

TControl.ActionLink |  | Link to the default Action associated with this control.
TControl.DoOnShowHint |  | Signals the OnShowHint event handler.
TControl.OnShowHint |  | Event handler signalled when a hint window is displayed for the control.
TControlActionLink.DoShowHint |  | Formats the hint string for the client control when it includes a ShortCut or accelerator key.
TCMHintShow |  | Provides access to members in a CM_HINTSHOW control message.
TLMessage |  |